<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.search.layout.SearchLayoutType" />

        <variable
            name="model"
            type="com.lukouguoji.aerologic.page.gnj.unload.add.dialog.GnjUnloadAddSetFlightDialogModel" />

    </data>

    <LinearLayout
        android:layout_width="800dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_dialog_radius_10"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@drawable/bg_primary_radius_top_10"
            android:gravity="center"
            android:text="录入航班"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="20dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="航班日期："
                android:textSize="16sp" />

            <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
                hint='@{"请选择航班日期"}'
                icon="@{@drawable/img_date}"
                type="@{SearchLayoutType.DATE}"
                value="@={model.date}"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:text="航班号："
                android:textSize="16sp" />

            <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
                hint='@{"请输入航班号"}'
                type="@{SearchLayoutType.INPUT}"
                value="@={model.fno}"
                android:layout_width="0dp"
                setTextAllCaps="@{true}"
                android:layout_height="wrap_content"
                android:layout_weight="1" />


           <!-- <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:text="货物类型："
                android:textSize="16sp" />

            <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
                hint='@{"请选择货物类型"}'
                list="@{model.cargoTypeList}"
                type="@{SearchLayoutType.SPINNER}"
                value="@={model.cargoType}"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1" />-->
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginBottom="15dp">

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.dismiss()}"
                android:text="取消" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.onConfirmClick()}"
                android:text="保存" />

        </LinearLayout>

    </LinearLayout>
</layout>